
_CONFIGURE_CAPTURE:

;keypad_speed_direction.c,45 :: 		void CONFIGURE_CAPTURE()
;keypad_speed_direction.c,48 :: 		CCP1M3_bit = 0;
	BCF         CCP1M3_bit+0, BitPos(CCP1M3_bit+0) 
;keypad_speed_direction.c,49 :: 		CCP1M2_bit = 1;
	BSF         CCP1M2_bit+0, BitPos(CCP1M2_bit+0) 
;keypad_speed_direction.c,50 :: 		CCP1M1_bit = 0;
	BCF         CCP1M1_bit+0, BitPos(CCP1M1_bit+0) 
;keypad_speed_direction.c,51 :: 		CCP1M0_bit = 1;
	BSF         CCP1M0_bit+0, BitPos(CCP1M0_bit+0) 
;keypad_speed_direction.c,53 :: 		trisc.b2 = 1; //C2 as input
	BSF         TRISC+0, 2 
;keypad_speed_direction.c,56 :: 		T1CKPS1_bit = 0;
	BCF         T1CKPS1_bit+0, BitPos(T1CKPS1_bit+0) 
;keypad_speed_direction.c,57 :: 		T1CKPS0_bit = 0;
	BCF         T1CKPS0_bit+0, BitPos(T1CKPS0_bit+0) 
;keypad_speed_direction.c,58 :: 		TMR1IE_bit=1;  TMR1IF_bit=0;      TMR1IP_bit=1;
	BSF         TMR1IE_bit+0, BitPos(TMR1IE_bit+0) 
	BCF         TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
	BSF         TMR1IP_bit+0, BitPos(TMR1IP_bit+0) 
;keypad_speed_direction.c,59 :: 		CCP1IE_bit = 1;  //enable capture interrupt
	BSF         CCP1IE_bit+0, BitPos(CCP1IE_bit+0) 
;keypad_speed_direction.c,62 :: 		PEIE_bit = 1;
	BSF         PEIE_bit+0, BitPos(PEIE_bit+0) 
;keypad_speed_direction.c,63 :: 		GIE_bit = 1;
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;keypad_speed_direction.c,66 :: 		TMR1H = 0; TMR1L = 0;
	CLRF        TMR1H+0 
	CLRF        TMR1L+0 
;keypad_speed_direction.c,67 :: 		CCPR1H = 0; CCPR1L = 0;
	CLRF        CCPR1H+0 
	CLRF        CCPR1L+0 
;keypad_speed_direction.c,69 :: 		TMR1ON_bit = 0; //start timer1
	BCF         TMR1ON_bit+0, BitPos(TMR1ON_bit+0) 
;keypad_speed_direction.c,70 :: 		}
L_end_CONFIGURE_CAPTURE:
	RETURN      0
; end of _CONFIGURE_CAPTURE

_get_print_timer1_capture:

;keypad_speed_direction.c,74 :: 		void get_print_timer1_capture()
;keypad_speed_direction.c,77 :: 		timer1_register = (TMR1H<<8) + TMR1L;
	MOVF        TMR1H+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        TMR1L+0, 0 
	ADDWF       R0, 0 
	MOVWF       R5 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       R6 
	MOVF        R5, 0 
	MOVWF       _timer1_register+0 
	MOVF        R6, 0 
	MOVWF       _timer1_register+1 
;keypad_speed_direction.c,79 :: 		capture_register = (CCPR1H<<8) + CCPR1L;
	MOVF        CCPR1H+0, 0 
	MOVWF       _capture_register+1 
	CLRF        _capture_register+0 
	MOVF        CCPR1L+0, 0 
	ADDWF       _capture_register+0, 1 
	MOVLW       0
	ADDWFC      _capture_register+1, 1 
;keypad_speed_direction.c,80 :: 		t=(overflow*65536)-overflow;
	MOVF        _overflow+1, 0 
	MOVWF       R3 
	MOVF        _overflow+0, 0 
	MOVWF       R2 
	CLRF        R0 
	CLRF        R1 
	MOVF        _overflow+0, 0 
	SUBWF       R0, 1 
	MOVF        _overflow+1, 0 
	SUBWFB      R1, 1 
	MOVLW       0
	BTFSC       _overflow+1, 7 
	MOVLW       255
	SUBWFB      R2, 1 
	SUBWFB      R3, 1 
	MOVF        R0, 0 
	MOVWF       _t+0 
	MOVF        R1, 0 
	MOVWF       _t+1 
	MOVF        R2, 0 
	MOVWF       _t+2 
	MOVF        R3, 0 
	MOVWF       _t+3 
;keypad_speed_direction.c,84 :: 		t1=t+timer1_register;
	MOVF        R5, 0 
	ADDWF       R0, 1 
	MOVF        R6, 0 
	ADDWFC      R1, 1 
	MOVLW       0
	ADDWFC      R2, 1 
	ADDWFC      R3, 1 
	MOVF        R0, 0 
	MOVWF       _t1+0 
	MOVF        R1, 0 
	MOVWF       _t1+1 
	MOVF        R2, 0 
	MOVWF       _t1+2 
	MOVF        R3, 0 
	MOVWF       _t1+3 
;keypad_speed_direction.c,85 :: 		period=(float)(t1);
	CALL        _longword2double+0, 0
	MOVF        R0, 0 
	MOVWF       _period+0 
	MOVF        R1, 0 
	MOVWF       _period+1 
	MOVF        R2, 0 
	MOVWF       _period+2 
	MOVF        R3, 0 
	MOVWF       _period+3 
;keypad_speed_direction.c,86 :: 		period=(float)period* (4);
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVLW       129
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _period+0 
	MOVF        R1, 0 
	MOVWF       _period+1 
	MOVF        R2, 0 
	MOVWF       _period+2 
	MOVF        R3, 0 
	MOVWF       _period+3 
;keypad_speed_direction.c,87 :: 		period=(float)period* 1/32000000;
	MOVLW       0
	MOVWF       R4 
	MOVLW       36
	MOVWF       R5 
	MOVLW       116
	MOVWF       R6 
	MOVLW       151
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _period+0 
	MOVF        R1, 0 
	MOVWF       _period+1 
	MOVF        R2, 0 
	MOVWF       _period+2 
	MOVF        R3, 0 
	MOVWF       _period+3 
;keypad_speed_direction.c,88 :: 		period=(float)period*1;
	MOVF        R0, 0 
	MOVWF       _period+0 
	MOVF        R1, 0 
	MOVWF       _period+1 
	MOVF        R2, 0 
	MOVWF       _period+2 
	MOVF        R3, 0 
	MOVWF       _period+3 
;keypad_speed_direction.c,90 :: 		output=(float)(1/period);
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	MOVLW       127
	MOVWF       R3 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _output+0 
	MOVF        R1, 0 
	MOVWF       _output+1 
	MOVF        R2, 0 
	MOVWF       _output+2 
	MOVF        R3, 0 
	MOVWF       _output+3 
;keypad_speed_direction.c,93 :: 		floatTOStr(output,period_text);
	MOVF        R0, 0 
	MOVWF       FARG_FloatToStr_fnum+0 
	MOVF        R1, 0 
	MOVWF       FARG_FloatToStr_fnum+1 
	MOVF        R2, 0 
	MOVWF       FARG_FloatToStr_fnum+2 
	MOVF        R3, 0 
	MOVWF       FARG_FloatToStr_fnum+3 
	MOVLW       _period_text+0
	MOVWF       FARG_FloatToStr_str+0 
	MOVLW       hi_addr(_period_text+0)
	MOVWF       FARG_FloatToStr_str+1 
	CALL        _FloatToStr+0, 0
;keypad_speed_direction.c,95 :: 		lcd_out(2,1,"F: ");lcd_out(2,5, period_text);  lcd_out_cp("hz");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_keypad_speed_direction+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_keypad_speed_direction+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _period_text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_period_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	MOVLW       ?lstr2_keypad_speed_direction+0
	MOVWF       FARG_Lcd_Out_CP_text+0 
	MOVLW       hi_addr(?lstr2_keypad_speed_direction+0)
	MOVWF       FARG_Lcd_Out_CP_text+1 
	CALL        _Lcd_Out_CP+0, 0
;keypad_speed_direction.c,98 :: 		TMR1H = 0; TMR1L = 0;      overflow=0;
	CLRF        TMR1H+0 
	CLRF        TMR1L+0 
	CLRF        _overflow+0 
	CLRF        _overflow+1 
;keypad_speed_direction.c,99 :: 		CCPR1H = 0; CCPR1L = 0;
	CLRF        CCPR1H+0 
	CLRF        CCPR1L+0 
;keypad_speed_direction.c,100 :: 		}
L_end_get_print_timer1_capture:
	RETURN      0
; end of _get_print_timer1_capture

_interrupt:

;keypad_speed_direction.c,103 :: 		void interrupt()
;keypad_speed_direction.c,105 :: 		if(CCP1IF_bit == 1) //if capture interrupt occured (rising edge detected)
	BTFSS       CCP1IF_bit+0, BitPos(CCP1IF_bit+0) 
	GOTO        L_interrupt0
;keypad_speed_direction.c,107 :: 		CCP1IF_bit = 0; //reset capture interrupt flag
	BCF         CCP1IF_bit+0, BitPos(CCP1IF_bit+0) 
;keypad_speed_direction.c,108 :: 		TMR1ON_bit = 0; //stop timer1
	BCF         TMR1ON_bit+0, BitPos(TMR1ON_bit+0) 
;keypad_speed_direction.c,109 :: 		cnt++;
	INCF        _cnt+0, 1 
;keypad_speed_direction.c,110 :: 		if(cnt==1){TMR1ON_bit = 1;}
	MOVF        _cnt+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt1
	BSF         TMR1ON_bit+0, BitPos(TMR1ON_bit+0) 
L_interrupt1:
;keypad_speed_direction.c,111 :: 		if(cnt==2){TMR1ON_bit = 0;   flag=1;}
	MOVF        _cnt+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt2
	BCF         TMR1ON_bit+0, BitPos(TMR1ON_bit+0) 
	BSF         _flag+0, BitPos(_flag+0) 
L_interrupt2:
;keypad_speed_direction.c,112 :: 		}
L_interrupt0:
;keypad_speed_direction.c,113 :: 		if(tmr1if_bit==1)
	BTFSS       TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
	GOTO        L_interrupt3
;keypad_speed_direction.c,114 :: 		{tmr1if_bit=0; overflow++;  }
	BCF         TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
	INFSNZ      _overflow+0, 1 
	INCF        _overflow+1, 1 
L_interrupt3:
;keypad_speed_direction.c,115 :: 		}
L_end_interrupt:
L__interrupt58:
	RETFIE      1
; end of _interrupt

_get_speed:

;keypad_speed_direction.c,118 :: 		char get_speed()
;keypad_speed_direction.c,120 :: 		line:
___get_speed_line:
;keypad_speed_direction.c,121 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;keypad_speed_direction.c,122 :: 		Lcd_Out(1,1,"enter speed");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr3_keypad_speed_direction+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr3_keypad_speed_direction+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;keypad_speed_direction.c,123 :: 		speed[0]=0;
	CLRF        _speed+0 
;keypad_speed_direction.c,124 :: 		speed[1]=0;
	CLRF        _speed+1 
;keypad_speed_direction.c,125 :: 		speed[2]=0;
	CLRF        _speed+2 
;keypad_speed_direction.c,126 :: 		speed[3]=0;
	CLRF        _speed+3 
;keypad_speed_direction.c,128 :: 		for(i=0;i<4;i++)
	CLRF        _i+0 
	CLRF        _i+1 
L_get_speed4:
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__get_speed60
	MOVLW       4
	SUBWF       _i+0, 0 
L__get_speed60:
	BTFSC       STATUS+0, 0 
	GOTO        L_get_speed5
;keypad_speed_direction.c,130 :: 		while(speed[i]==0)
L_get_speed7:
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_get_speed8
;keypad_speed_direction.c,131 :: 		{speed[i]=Keypad_Key_Click(); }
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FLOC__get_speed+0 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FLOC__get_speed+1 
	CALL        _Keypad_Key_Click+0, 0
	MOVFF       FLOC__get_speed+0, FSR1
	MOVFF       FLOC__get_speed+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	GOTO        L_get_speed7
L_get_speed8:
;keypad_speed_direction.c,133 :: 		if(speed[i]==1)     speed[i]='1';
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_get_speed9
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR1H 
	MOVLW       49
	MOVWF       POSTINC1+0 
L_get_speed9:
;keypad_speed_direction.c,134 :: 		if(speed[i]==2)     speed[i]='4';
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_get_speed10
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR1H 
	MOVLW       52
	MOVWF       POSTINC1+0 
L_get_speed10:
;keypad_speed_direction.c,135 :: 		if(speed[i]==10)    speed[i]='6';
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L_get_speed11
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR1H 
	MOVLW       54
	MOVWF       POSTINC1+0 
L_get_speed11:
;keypad_speed_direction.c,136 :: 		if(speed[i]==6)     speed[i]='5';
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L_get_speed12
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR1H 
	MOVLW       53
	MOVWF       POSTINC1+0 
L_get_speed12:
;keypad_speed_direction.c,137 :: 		if(speed[i]==5)     speed[i]='2';
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L_get_speed13
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR1H 
	MOVLW       50
	MOVWF       POSTINC1+0 
L_get_speed13:
;keypad_speed_direction.c,138 :: 		if(speed[i]==11)    speed[i]='9';
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       11
	BTFSS       STATUS+0, 2 
	GOTO        L_get_speed14
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR1H 
	MOVLW       57
	MOVWF       POSTINC1+0 
L_get_speed14:
;keypad_speed_direction.c,139 :: 		if(speed[i]==7)     speed[i]='8';
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L_get_speed15
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR1H 
	MOVLW       56
	MOVWF       POSTINC1+0 
L_get_speed15:
;keypad_speed_direction.c,140 :: 		if(speed[i]==3)     speed[i]='7';
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L_get_speed16
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR1H 
	MOVLW       55
	MOVWF       POSTINC1+0 
L_get_speed16:
;keypad_speed_direction.c,141 :: 		if(speed[i]==9)     speed[i]='3';
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       9
	BTFSS       STATUS+0, 2 
	GOTO        L_get_speed17
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR1H 
	MOVLW       51
	MOVWF       POSTINC1+0 
L_get_speed17:
;keypad_speed_direction.c,142 :: 		if(speed[i]==12)    speed[i]='#';
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       12
	BTFSS       STATUS+0, 2 
	GOTO        L_get_speed18
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR1H 
	MOVLW       35
	MOVWF       POSTINC1+0 
L_get_speed18:
;keypad_speed_direction.c,143 :: 		if(speed[i]==8)     speed[i]='0';
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L_get_speed19
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR1H 
	MOVLW       48
	MOVWF       POSTINC1+0 
L_get_speed19:
;keypad_speed_direction.c,144 :: 		if(speed[i]==4)     speed[i]='*';
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L_get_speed20
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR1H 
	MOVLW       42
	MOVWF       POSTINC1+0 
L_get_speed20:
;keypad_speed_direction.c,146 :: 		Lcd_chr(2,i+1,speed[i]);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVF        _i+0, 0 
	ADDLW       1
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       _speed+0
	ADDWF       _i+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_speed+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;keypad_speed_direction.c,128 :: 		for(i=0;i<4;i++)
	INFSNZ      _i+0, 1 
	INCF        _i+1, 1 
;keypad_speed_direction.c,148 :: 		}
	GOTO        L_get_speed4
L_get_speed5:
;keypad_speed_direction.c,149 :: 		delay_ms(500);
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_get_speed21:
	DECFSZ      R13, 1, 1
	BRA         L_get_speed21
	DECFSZ      R12, 1, 1
	BRA         L_get_speed21
	DECFSZ      R11, 1, 1
	BRA         L_get_speed21
	NOP
;keypad_speed_direction.c,151 :: 		input= (1000*(speed[0]-48))+(100*(speed[1]-48))+(10*(speed[2]-48))+((speed[3]-48)) ;
	MOVLW       48
	SUBWF       _speed+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__get_speed+0 
	MOVF        R1, 0 
	MOVWF       FLOC__get_speed+1 
	MOVLW       48
	SUBWF       _speed+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        R0, 0 
	ADDWF       FLOC__get_speed+0, 1 
	MOVF        R1, 0 
	ADDWFC      FLOC__get_speed+1, 1 
	MOVLW       48
	SUBWF       _speed+2, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        R0, 0 
	ADDWF       FLOC__get_speed+0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	ADDWFC      FLOC__get_speed+1, 0 
	MOVWF       R3 
	MOVLW       48
	SUBWF       _speed+3, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVF        R2, 0 
	ADDWF       R0, 1 
	MOVF        R3, 0 
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       _input+0 
	MOVF        R1, 0 
	MOVWF       _input+1 
;keypad_speed_direction.c,152 :: 		inttostr(input,srtofinput);
	MOVF        R0, 0 
	MOVWF       FARG_IntToStr_input+0 
	MOVF        R1, 0 
	MOVWF       FARG_IntToStr_input+1 
	MOVLW       _srtofinput+0
	MOVWF       FARG_IntToStr_output+0 
	MOVLW       hi_addr(_srtofinput+0)
	MOVWF       FARG_IntToStr_output+1 
	CALL        _IntToStr+0, 0
;keypad_speed_direction.c,153 :: 		if(input>maxspeed)
	MOVLW       128
	XORWF       _maxspeed+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORWF       _input+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__get_speed61
	MOVF        _input+0, 0 
	SUBWF       _maxspeed+0, 0 
L__get_speed61:
	BTFSC       STATUS+0, 0 
	GOTO        L_get_speed22
;keypad_speed_direction.c,155 :: 		DELAY_ms(500);
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_get_speed23:
	DECFSZ      R13, 1, 1
	BRA         L_get_speed23
	DECFSZ      R12, 1, 1
	BRA         L_get_speed23
	DECFSZ      R11, 1, 1
	BRA         L_get_speed23
	NOP
;keypad_speed_direction.c,156 :: 		Lcd_Cmd(_LCD_CLEAR);  Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;keypad_speed_direction.c,157 :: 		Lcd_out(1,1,"out of range ");   delay_ms(1000);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr4_keypad_speed_direction+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr4_keypad_speed_direction+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	MOVLW       41
	MOVWF       R11, 0
	MOVLW       150
	MOVWF       R12, 0
	MOVLW       127
	MOVWF       R13, 0
L_get_speed24:
	DECFSZ      R13, 1, 1
	BRA         L_get_speed24
	DECFSZ      R12, 1, 1
	BRA         L_get_speed24
	DECFSZ      R11, 1, 1
	BRA         L_get_speed24
;keypad_speed_direction.c,158 :: 		goto line;
	GOTO        ___get_speed_line
;keypad_speed_direction.c,159 :: 		}
L_get_speed22:
;keypad_speed_direction.c,165 :: 		Lcd_Cmd(_LCD_CLEAR);  Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;keypad_speed_direction.c,166 :: 		Lcd_out(1,1,"Des_S");     lcd_out(1,7,srtofinput);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr5_keypad_speed_direction+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr5_keypad_speed_direction+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       7
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _srtofinput+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_srtofinput+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;keypad_speed_direction.c,168 :: 		return;
;keypad_speed_direction.c,171 :: 		}
L_end_get_speed:
	RETURN      0
; end of _get_speed

_get_direction:

;keypad_speed_direction.c,174 :: 		char get_direction()
;keypad_speed_direction.c,176 :: 		line1:
___get_direction_line1:
;keypad_speed_direction.c,177 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;keypad_speed_direction.c,178 :: 		lcd_out(1,1,"1 for cw 3 ccw");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr6_keypad_speed_direction+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr6_keypad_speed_direction+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;keypad_speed_direction.c,179 :: 		for(j=0;j<1;j++)
	CLRF        _j+0 
	CLRF        _j+1 
L_get_direction26:
	MOVLW       128
	XORWF       _j+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__get_direction63
	MOVLW       1
	SUBWF       _j+0, 0 
L__get_direction63:
	BTFSC       STATUS+0, 0 
	GOTO        L_get_direction27
;keypad_speed_direction.c,181 :: 		while(direction[j]==0)
L_get_direction29:
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_get_direction30
;keypad_speed_direction.c,183 :: 		direction[j]=Keypad_Key_Click();
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FLOC__get_direction+0 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FLOC__get_direction+1 
	CALL        _Keypad_Key_Click+0, 0
	MOVFF       FLOC__get_direction+0, FSR1
	MOVFF       FLOC__get_direction+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;keypad_speed_direction.c,184 :: 		}
	GOTO        L_get_direction29
L_get_direction30:
;keypad_speed_direction.c,186 :: 		if(direction[j]==1)     direction[j]='1';
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_get_direction31
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR1H 
	MOVLW       49
	MOVWF       POSTINC1+0 
L_get_direction31:
;keypad_speed_direction.c,187 :: 		if(direction[j]==2)     direction[j]='4';
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_get_direction32
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR1H 
	MOVLW       52
	MOVWF       POSTINC1+0 
L_get_direction32:
;keypad_speed_direction.c,188 :: 		if(direction[j]==10)    direction[j]='6';
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L_get_direction33
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR1H 
	MOVLW       54
	MOVWF       POSTINC1+0 
L_get_direction33:
;keypad_speed_direction.c,189 :: 		if(direction[j]==6)     direction[j]='5';
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L_get_direction34
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR1H 
	MOVLW       53
	MOVWF       POSTINC1+0 
L_get_direction34:
;keypad_speed_direction.c,190 :: 		if(direction[j]==5)     direction[j]='2';
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L_get_direction35
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR1H 
	MOVLW       50
	MOVWF       POSTINC1+0 
L_get_direction35:
;keypad_speed_direction.c,191 :: 		if(direction[j]==11)    direction[j]='9';
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       11
	BTFSS       STATUS+0, 2 
	GOTO        L_get_direction36
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR1H 
	MOVLW       57
	MOVWF       POSTINC1+0 
L_get_direction36:
;keypad_speed_direction.c,192 :: 		if(direction[j]==7)     direction[j]='8';
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L_get_direction37
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR1H 
	MOVLW       56
	MOVWF       POSTINC1+0 
L_get_direction37:
;keypad_speed_direction.c,193 :: 		if(direction[j]==3)     direction[j]='7';
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L_get_direction38
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR1H 
	MOVLW       55
	MOVWF       POSTINC1+0 
L_get_direction38:
;keypad_speed_direction.c,194 :: 		if(direction[j]==9)     direction[j]='3';
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       9
	BTFSS       STATUS+0, 2 
	GOTO        L_get_direction39
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR1H 
	MOVLW       51
	MOVWF       POSTINC1+0 
L_get_direction39:
;keypad_speed_direction.c,195 :: 		if(direction[j]==12)    direction[j]='#';
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       12
	BTFSS       STATUS+0, 2 
	GOTO        L_get_direction40
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR1H 
	MOVLW       35
	MOVWF       POSTINC1+0 
L_get_direction40:
;keypad_speed_direction.c,196 :: 		if(direction[j]==8)     direction[j]='0';
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L_get_direction41
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR1H 
	MOVLW       48
	MOVWF       POSTINC1+0 
L_get_direction41:
;keypad_speed_direction.c,197 :: 		if(direction[j]==4)     direction[j]='*';
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L_get_direction42
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR1H 
	MOVLW       42
	MOVWF       POSTINC1+0 
L_get_direction42:
;keypad_speed_direction.c,199 :: 		Lcd_chr(2,1,direction[j]);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       _direction+0
	ADDWF       _j+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_direction+0)
	ADDWFC      _j+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;keypad_speed_direction.c,179 :: 		for(j=0;j<1;j++)
	INFSNZ      _j+0, 1 
	INCF        _j+1, 1 
;keypad_speed_direction.c,200 :: 		}
	GOTO        L_get_direction26
L_get_direction27:
;keypad_speed_direction.c,202 :: 		if(strcmp(direction,"1")==0)
	MOVLW       _direction+0
	MOVWF       FARG_strcmp_s1+0 
	MOVLW       hi_addr(_direction+0)
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       ?lstr7_keypad_speed_direction+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(?lstr7_keypad_speed_direction+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__get_direction64
	MOVLW       0
	XORWF       R0, 0 
L__get_direction64:
	BTFSS       STATUS+0, 2 
	GOTO        L_get_direction43
;keypad_speed_direction.c,203 :: 		{  DELAY_ms(500);   dir=1;   get_speed();   return;}
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_get_direction44:
	DECFSZ      R13, 1, 1
	BRA         L_get_direction44
	DECFSZ      R12, 1, 1
	BRA         L_get_direction44
	DECFSZ      R11, 1, 1
	BRA         L_get_direction44
	NOP
	MOVLW       1
	MOVWF       _dir+0 
	MOVLW       0
	MOVWF       _dir+1 
	CALL        _get_speed+0, 0
	GOTO        L_end_get_direction
L_get_direction43:
;keypad_speed_direction.c,205 :: 		if(strcmp(direction,"3")==0)
	MOVLW       _direction+0
	MOVWF       FARG_strcmp_s1+0 
	MOVLW       hi_addr(_direction+0)
	MOVWF       FARG_strcmp_s1+1 
	MOVLW       ?lstr8_keypad_speed_direction+0
	MOVWF       FARG_strcmp_s2+0 
	MOVLW       hi_addr(?lstr8_keypad_speed_direction+0)
	MOVWF       FARG_strcmp_s2+1 
	CALL        _strcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__get_direction65
	MOVLW       0
	XORWF       R0, 0 
L__get_direction65:
	BTFSS       STATUS+0, 2 
	GOTO        L_get_direction45
;keypad_speed_direction.c,206 :: 		{  DELAY_ms(500);  dir=3;   get_speed();    return; }
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_get_direction46:
	DECFSZ      R13, 1, 1
	BRA         L_get_direction46
	DECFSZ      R12, 1, 1
	BRA         L_get_direction46
	DECFSZ      R11, 1, 1
	BRA         L_get_direction46
	NOP
	MOVLW       3
	MOVWF       _dir+0 
	MOVLW       0
	MOVWF       _dir+1 
	CALL        _get_speed+0, 0
	GOTO        L_end_get_direction
L_get_direction45:
;keypad_speed_direction.c,210 :: 		direction[0]=0;
	CLRF        _direction+0 
;keypad_speed_direction.c,211 :: 		direction[1]=0;
	CLRF        _direction+1 
;keypad_speed_direction.c,212 :: 		goto line1;
	GOTO        ___get_direction_line1
;keypad_speed_direction.c,214 :: 		}
L_end_get_direction:
	RETURN      0
; end of _get_direction

_check_flag:

;keypad_speed_direction.c,217 :: 		check_flag()
;keypad_speed_direction.c,219 :: 		if(flag == 1) //if this flag is set
	BTFSS       _flag+0, BitPos(_flag+0) 
	GOTO        L_check_flag48
;keypad_speed_direction.c,221 :: 		get_print_timer1_capture();
	CALL        _get_print_timer1_capture+0, 0
;keypad_speed_direction.c,222 :: 		cnt=0;    // rest rising edge counter
	CLRF        _cnt+0 
;keypad_speed_direction.c,223 :: 		flag = 0; //reset this flag
	BCF         _flag+0, BitPos(_flag+0) 
;keypad_speed_direction.c,225 :: 		}
L_check_flag48:
;keypad_speed_direction.c,226 :: 		}
L_end_check_flag:
	RETURN      0
; end of _check_flag

_main:

;keypad_speed_direction.c,230 :: 		void main()
;keypad_speed_direction.c,231 :: 		{ OSCCON = 0b11110111;
	MOVLW       247
	MOVWF       OSCCON+0 
;keypad_speed_direction.c,232 :: 		OSCTUNE = 0b01000000;
	MOVLW       64
	MOVWF       OSCTUNE+0 
;keypad_speed_direction.c,236 :: 		trisc.b3=0;            portc.b3=0;  trisc.b4=0;            portc.b4=0;
	BCF         TRISC+0, 3 
	BCF         PORTC+0, 3 
	BCF         TRISC+0, 4 
	BCF         PORTC+0, 4 
;keypad_speed_direction.c,237 :: 		CMCON = 7;            ECCP1CON=0;   ADCON1=0x0f;
	MOVLW       7
	MOVWF       CMCON+0 
	CLRF        ECCP1CON+0 
	MOVLW       15
	MOVWF       ADCON1+0 
;keypad_speed_direction.c,238 :: 		lcd_init();           keypad_init();
	CALL        _Lcd_Init+0, 0
	CALL        _Keypad_Init+0, 0
;keypad_speed_direction.c,240 :: 		Lcd_Cmd(_LCD_CLEAR);  Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;keypad_speed_direction.c,241 :: 		get_direction();      CONFIGURE_CAPTURE();
	CALL        _get_direction+0, 0
	CALL        _CONFIGURE_CAPTURE+0, 0
;keypad_speed_direction.c,244 :: 		while(1)
L_main49:
;keypad_speed_direction.c,248 :: 		switch(dir)
	GOTO        L_main51
;keypad_speed_direction.c,250 :: 		case(1):           {      portc.b4=1;  portc.b3=0;  check_flag();      break;  }
L_main53:
	BSF         PORTC+0, 4 
	BCF         PORTC+0, 3 
	CALL        _check_flag+0, 0
	GOTO        L_main52
;keypad_speed_direction.c,256 :: 		case(3):          {     portc.b4=0;    portc.b3=1; check_flag();     break;  }
L_main54:
	BCF         PORTC+0, 4 
	BSF         PORTC+0, 3 
	CALL        _check_flag+0, 0
	GOTO        L_main52
;keypad_speed_direction.c,258 :: 		}
L_main51:
	MOVLW       0
	XORWF       _dir+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main68
	MOVLW       1
	XORWF       _dir+0, 0 
L__main68:
	BTFSC       STATUS+0, 2 
	GOTO        L_main53
	MOVLW       0
	XORWF       _dir+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main69
	MOVLW       3
	XORWF       _dir+0, 0 
L__main69:
	BTFSC       STATUS+0, 2 
	GOTO        L_main54
L_main52:
;keypad_speed_direction.c,260 :: 		}
	GOTO        L_main49
;keypad_speed_direction.c,261 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
